org.keycloak.protocol.oidc.mappers

## Class GroupMembershipMapper

- java.lang.Object
- - org.keycloak.protocol.oidc.mappers.AbstractOIDCProtocolMapper
  - - org.keycloak.protocol.oidc.mappers.GroupMembershipMapper

- All Implemented Interfaces:
    OIDCAccessTokenMapper, OIDCIDTokenMapper, UserInfoTokenMapper, ProtocolMapper, ConfiguredProvider, Provider, ProviderFactory<ProtocolMapper>

      public class GroupMembershipMapper
      extends AbstractOIDCProtocolMapper
      implements OIDCAccessTokenMapper, OIDCIDTokenMapper, UserInfoTokenMapper

  Maps user group membership
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

    - ### Fields inherited from class org.keycloak.protocol.oidc.mappers.AbstractOIDCProtocolMapper

      `TOKEN_MAPPER_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupMembershipMapper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProtocolMapperModel` | `create(String name, String tokenClaimName, boolean consentRequired, String consentText, boolean accessToken, boolean idToken)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getDisplayCategory()`
    `String` | `getDisplayType()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `protected void` | `setClaim(IDToken token, ProtocolMapperModel mappingModel, UserSessionModel userSession)` Adds the group membership information to the `JsonWebToken.otherClaims`.
    `static boolean` | `useFullPath(ProtocolMapperModel mappingModel)`

    - ### Methods inherited from class org.keycloak.protocol.oidc.mappers.AbstractOIDCProtocolMapper

      `close, create, getProtocol, init, postInit, setClaim, setClaim, transformAccessToken, transformAccessTokenResponse, transformIDToken, transformUserInfoToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.oidc.mappers.OIDCAccessTokenMapper

      `transformAccessToken`

    - ### Methods inherited from interface org.keycloak.protocol.oidc.mappers.OIDCIDTokenMapper

      `transformIDToken`

    - ### Methods inherited from interface org.keycloak.protocol.oidc.mappers.UserInfoTokenMapper

      `transformUserInfoToken`

    - ### Methods inherited from interface org.keycloak.protocol.ProtocolMapper

      `getPriority, validateConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GroupMembershipMapper

          public GroupMembershipMapper()

  - ### Method Detail

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ProtocolMapper>`

    - #### getDisplayType

          public String getDisplayType()

      Specified by:
        `getDisplayType` in interface `ProtocolMapper`

    - #### getDisplayCategory

          public String getDisplayCategory()

      Specified by:
        `getDisplayCategory` in interface `ProtocolMapper`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### useFullPath

          public static boolean useFullPath(ProtocolMapperModel mappingModel)

    - #### setClaim

          protected void setClaim(IDToken token,
                                  ProtocolMapperModel mappingModel,
                                  UserSessionModel userSession)

      Adds the group membership information to the `JsonWebToken.otherClaims`.
      Overrides:
        `setClaim` in class `AbstractOIDCProtocolMapper`
      Parameters:
        `token` -
        `mappingModel` -
        `userSession` -

    - #### create

          public static ProtocolMapperModel create(String name,
                                                   String tokenClaimName,
                                                   boolean consentRequired,
                                                   String consentText,
                                                   boolean accessToken,
                                                   boolean idToken)

Copyright © 2021 JBoss by Red Hat. All rights reserved.